Skip to main content
GET
/
v1
/
pledges
/
{id}
Get pledge
curl --request GET \
  --url https://api.sandbox.busha.so/v1/pledges/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.busha.so/v1/pledges/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.busha.so/v1/pledges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "message for success",
  "data": {
    "id": "PLG_01HX...",
    "reference": "credit_agreement_93b7",
    "mandate_hash": "sha256:...",
    "items": [
      {
        "id": "PLI_01HX...",
        "asset": "BTC",
        "locked_amount": "100",
        "released_amount": "100",
        "liquidated_amount": "100",
        "available_to_release": "100"
      }
    ],
    "customer_profile_id": "PRF_customer...",
    "beneficiary_profile_id": "BUS_beneficiary...",
    "activated_at": "2023-10-15T12:15:30Z",
    "expires_at": "2023-10-15T12:15:30Z",
    "released_at": "2023-10-15T12:15:30Z",
    "liquidated_at": "2023-10-15T12:15:30Z",
    "events": [
      {
        "id": "PLE_01HX...",
        "type": "pledge.activated",
        "actor_type": "beneficiary",
        "created_at": "2023-10-15T12:15:30Z",
        "reference": "activation_disb_9f1"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Path Parameters

id
string
required

Pledge ID

Example:

"PLG_01HX..."

Response

Successful pledge response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required